config/routes.rb
Rails.application.routes.draw do
  get 'home/club'
  devise_for :users
  root 'home#index'

  get 'home/index'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/user.rb
class User < ApplicationRecord
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :trackable, :validatable

def club
  @users = User.all
  puts @user
end
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  protect_from_forgery with: :exception

  before_action :sanitize_devise_params, if: :devise_controller?

  def sanitize_devise_params
    devise_parameter_sanitizer.permit(:sign_up, keys: [:lastname])
    devise_parameter_sanitizer.permit(:sign_up, keys: [:firstname])
  end

  def sanitize_devise_params
    devise_parameter_sanitizer.permit(:account_update, keys: [:lastname])
    devise_parameter_sanitizer.permit(:account_update, keys: [:firstname])
  end

end

app/controllers/home_controller.rb
class HomeController < ApplicationController
  def club
    puts "===============start=============="
    @users = User.all
    puts @users
    puts "===============end================"
  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/home_helper.rb
module HomeHelper
end

app/views/home/club.html.erb
<nav>
  <ul>
    <% if user_signed_in? %>
    <li>
      <%= link_to "Edit", edit_user_registration_path %>
    </li>
    <li>
      <%= link_to "Sign Out", destroy_user_session_path, method: :delete %>
    </li>

    <% else %>
      <li>
        <%= link_to "sign in", new_user_session_path %>
      </li>
      <li>
        <%= link_to "sign up", new_user_registration_path %>
      </li>
      <% end %>
  </ul>
</nav>

<% if user_signed_in? %>
<h1>Welcome <%= current_user.email %></h1>
  <% if current_user.email %>

  <div class="content">
    <ul>
    <% @users.each do |user| %>
      <li><%= user.id %> <%= user.email %> <%= user.lastname %> <%= user.firstname %></li>
    <% end %>
    </ul>
  </div>
    <% end %>
<% else %>
<h1>👻</h1>
<h3>il faut se login / inscrire pour accéder à la page du club </h3>

<% end %>

app/views/home/index.html.erb
<div class="container">
<h1>The Private club</h1>
<%= link_to "lien", home_club_path %>
</div>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Club</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <%= yield %>
  </body>
</html>